Get all tools for MCP server
GET/v1/mcp/servers/:server_id/tools
Returns all available tools for a specific MCP server, including their names, descriptions, and input schemas. These are all the tools the server exposes, not just the ones that are filtered in Port
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "server_id",
"required": true,
"description": "The unique identifier of the MCP server."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 400
- 401
- 404
- 500
Default Response
Default Response
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"identifier": {
"type": "string"
},
"tools": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"title": {
"type": "string"
},
"inputSchema": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"object"
]
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"required": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"type"
],
"additionalProperties": {}
},
"outputSchema": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"object"
]
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"required": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"type"
],
"additionalProperties": {}
},
"annotations": {
"type": "object",
"properties": {
"title": {
"type": "string"
},
"readOnlyHint": {
"type": "boolean"
},
"destructiveHint": {
"type": "boolean"
},
"idempotentHint": {
"type": "boolean"
},
"openWorldHint": {
"type": "boolean"
}
},
"additionalProperties": false
}
},
"required": [
"name",
"inputSchema"
],
"additionalProperties": false
}
},
"allowedTools": {
"description": "Tool names allowed by the agent when agentIdentifier query param is provided.",
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"ok",
"identifier",
"tools"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}